Gwibber not retrieving Facebook info

Reported by Jacob Henderson on 2010-03-27
120
This bug affects 23 people
Affects Status Importance Assigned to Milestone
Gwibber
Undecided
Unassigned
gwibber (Ubuntu)
Medium
Unassigned

Bug Description

gwibber-service appears to be having an issue retrieving information from my facebook account. It works fine with the Gwibber client, but when the Gwibber client is closed, I get a "Gwibber Dispatcher: ERROR Failed to parse the response, error was: No JSON object could be decoded". This also might be the reason why my facebook account is not displaying any notifications bubbles in Lucid Lynx. My twitter account works perfectly in all respects.

Jacob Henderson (lmeditato) wrote :
Keith Drummond (victor9098) wrote :

I have a similar problem, but the facebook notifications seem to appear on my UNE install, but not on my Desktop. I think I might be just missing a dependency somewhere, but can not see which one.

Philip Muškovac (yofel) on 2010-03-27
affects: ubuntu → gwibber (Ubuntu)
Jacob Henderson (lmeditato) wrote :

I have all the dependencies, even the merely "recommended" one, python-indicate. I honestly think that this is a Facebook parsing problem or authorization problem with Gwibber. It used to work fine with the Karmic version of Gwibber, but on Lucid Lynx I have all the dependencies and have reinstalled them all repeatedly, to no avail. I also hear other people reporting that they're having similar Facebook issues with Gwibber as well. Twitter and the rest reportedly work just fine.

Jacob,

I can't reproduce this bug. I'm running gwibber 2.29.92.1-0ubuntu1 and was able to add a facebook account with no problem, and can see the bubbles from facebook notifications, even after closing the gwibber client and reopening it.

Did you only reinstall gwibber and it's dependencies and use an installation from Karmic or from a couple of weeks ago, for example, or did you reinstall your system completely from a daily build or the Beta 1?

Changed in gwibber (Ubuntu):
status: New → Incomplete
Jacob Henderson (lmeditato) wrote :

I upgraded from Karmic to Lucid Lynx Beta 1, and all the packages were upgraded as well, included Gwibber. I reinstalled Gwibber's dependencies and Gwibber itself to see if that fixed the issue, and I deleted and reinput my Gwibber Facebook account. Everything was working fine with Karmic, so if this is what happens to even a fraction of everybody that upgrades from Karmic to Lucid, then there are going to be a lot of Gwibber issues. Let me know if I can provide you with any further log files or information.

Jacob Henderson (lmeditato) wrote :

I just reinstalled Gwibber and every dependency upto and including Python. I'm attaching another logfile, and it looks like the same error. Whatever that error is, I wasn't getting it from my twitter account (and I was receiving notifications from my Twitter account fine), so by process of elimination, my guess would be that this is the cause of my lack of Facebook gwibber-service updates and notification bubbles.

Jacob Henderson (lmeditato) wrote :

Here are a bunch of people on the Ubuntu forums who are experiencing related trouble with pulling information:

http://ubuntuforums.org/showthread.php?t=1436969&page=1

Works for some people, but not for others. I am willing to bet that the people it doesn't work for upgraded rather than ran a clean reinstall of Lucid Lynx.

Changed in gwibber (Ubuntu):
status: Incomplete → New
Omer Akram (om26er) wrote :

Jacob can you please explain this bug more cleary, I also have the same kind of problem with facebook i.e. comments made on my status are on the website but dont show in gwibber or come after an hour (even refreshing gwibber several times) sometimes comments are missed is it what you are facing? it might be a duplicate of bug 523701

Changed in gwibber (Ubuntu):
importance: Undecided → Medium
status: New → Incomplete
Jacob Henderson (lmeditato) wrote :

when I run "gwibber-service --debug -o" in the terminal, the error I receive is included in my posted logfiles, but the bulk of it, beginning with the facebook image fetch, is below. Again, it retrieves Facebook data when the Client is opened, but gwibber-service does not update by itself, nor shows any notification bubbles to that effect. I do not know if you are having the same error as mine, could you post any errors you receive as output to the command "gwibber-service --debug -o" ?

Gwibber Dispatcher: DEBUG <facebook:images> Performing operation
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/network.py", line 32, in __init__
    self.curl.perform()
error: (28, 'connect() timed out!')
Gwibber Dispatcher: ERROR Failed to communicate with https://api.facebook.com/restserver.php?api_key=71b85c6d8cb5bbb9f1a3f8bbdcdd4b05&v=1.0&sig=a369b56053fbd73c0059499e481dd3e2&format=json&query=%0A++++++SELECT+owner%2C+object_id%2C+created%2C+src_small%2C+src_big%2C+link%2C+caption%0A++++++++FROM+photo+WHERE+aid+in%0A++++++++%28SELECT+aid+FROM+album+WHERE+owner+IN%0A++++++++%28SELECT+uid2+FROM+friend+WHERE+uid1%3D1164601033%29%29%0A++++++++ORDER+BY+created+DESC+LIMIT+1%2C100%0A++++++&session_key=32ba28e8d9c78b4780cf32dd-1164601033&method=facebook.fql.query&call_id=1269548927000
Gwibber Dispatcher: ERROR Failed to parse the response, error was: No JSON object could be decoded
Gwibber Dispatcher: ERROR <facebook:images> Operation failed

Jacob Henderson (lmeditato) wrote :

I am about to install a clean version of Lucid to see if I can replicate the error. If not, then this bug is likely a result of updating a Karmic installation (and its associated Gwibber) to Lucid Lynx and the newest version of Gwibber. I will let you know what I find.

Jacob Henderson (lmeditato) wrote :

Hello, I am typing this to you from a clean installation of Lucid Beta. Notification bubbles are working, but gwibber-service is still popping the same errors. This leads me to believe that gwibber-service is indeed updating, but that under my upgraded install, it wasn't popping up notification bubbles. This means that this is a separate issue entirely from the one I thought it was.

Jacob Henderson (lmeditato) wrote :

Well, now they're not. And it only happened after I logged onto my Facebook using Firefox.

khut (kh1116) wrote :

i'm getting the same bug

Jacob Henderson (lmeditato) wrote :

There's an issue with Facebook sync, displayed through several different symptoms on as many bug reports, that is not being addressed by anyone.

Derek (derekmensch) wrote :

I have the same problem, Facebook first wouldn't sync. I then removed the Facebook account and tried to add it again. Now i can't add a Facebook account.
I have recently upgraded from Karmic to Lucid Lynx.
Tomorrow I will do a clean install of Lucid Lynx and see if I have the same problems.

pim (pim-pulsradio) wrote :

I've installed lucid lynx today and gwibber doesn't popup facebook notifications

T.Bradley (t.bradley) wrote :

i do not get any pop ups from gwibber, i have facebook and twitter accounts both work properly, i just do not get any pop up notifications...fresh install of 10.04UNE

Derek (derekmensch) wrote :

Just did a clean install of Lucid Lynx and Facebook is syncing so far.

Omer Akram (om26er) wrote :

For gwibber not being in sync with facebook comments we already have a bug report 541831

Jacob Henderson (lmeditato) wrote :

@Omer:

That isn't the same issue. That bug is about retrieving comments below main entries in the Facebook news feed. This bug is about issues retrieving *any* information from Facebook on a stable basis.

@Derek:

Is it still working after using it for a few hours? Mine always starts out working on a new install, and then stops after a few hours. Also, does it display notification bubbles when set to do so?

Changed in gwibber (Ubuntu):
status: Incomplete → New
Bjarni Runar Einarsson (bre) wrote :

I had similar problems to those above. It seemed at first to be a Facebook problem, as I had just added my Facebook account. However, it turned out it was actually a network issue and the gwibber-service was failing to update both Facebook and Twitter streams. You can see this is happening in the logs quoted above as well:

error: (28, 'connect() timed out!')

In my case, I got things working by editing /etc/resolv.conf and adding the Google and Level 3 nameservers, in addition to the crappy wifi router I am using:

$ cat /etc/resolv.conf
# Generated by NetworkManager
nameserver 8.8.8.8
nameserver 4.2.2.2
nameserver 192.168.1.1

My theory: The timeouts for connecting and receiving data may simply be too short for many folks out there.

Using a faster nameserver worked for me, at least temporarily. But it is just a workaround, the gwibber service should probably be a little more tolerant of poor networks. Hope this helps someone.

PinGUY (antoni-norman) wrote :

Having same problem. Running a fresh install of Ubuntu 10.04 x64. All notifications for twitter are working, just the ones from Facebook aren't. Facebook works fine in the Gwibber program.

Some output errors:

Gwibber Dispatcher: DEBUG <facebook:receive> Adding record
Gwibber Dispatcher: DEBUG Checking message 20531316728_388398332130 timestamp (2010-05-09 18:45:21.00) to see if it is newer than 2010-05-09 18:36:24.40
Gwibber Dispatcher: DEBUG Message 20531316728_388398332130 newer than 2010-05-09 18:36:24.40, notifying
Gwibber Dispatcher: ERROR Message updated: 20531316728_388398332130-facebook-antonipingunorman-receive, failed

Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/dispatcher.py", line 75, in perform_operation
    message_data = PROTOCOLS[account["protocol"]].Client(account)(opname, **args)
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/facebook.py", line 198, in __call__
    return getattr(self, opname)(**args)
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/facebook.py", line 221, in responses
    return [self._comment(comment, profiles) for comment in data]
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/facebook.py", line 141, in _comment
    user = profiles[data["fromid"]]
KeyError: 1667100528

PinGUY (antoni-norman) wrote :

This problem isn't because I have a user name instead of an id?
http://blog.facebook.com/blog.php?post=90316352130

Jacob Henderson (lmeditato) wrote :

No, the call to Facebook is the same regardless.

Jacob Henderson (lmeditato) wrote :

My guess is that the developers who I've talked to have added their Facebook accounts then waited for the first notification, after which they declare it "working" and then forget to take notice when Gwibber inevitably stops syncing with Facebook.

Pierre Tocquin (ptocquin) wrote :

Same problem for me. here is the log :

Gwibber Dispatcher: INFO Loading complete: 21 - ['Success', 'Success', 'Failure']
INFO:Gwibber Dispatcher:Loading complete: 21 - ['Success', 'Success', 'Failure']
Gwibber Dispatcher: DEBUG Refresh interval is set to 5
DEBUG:Gwibber Dispatcher:Refresh interval is set to 5
Gwibber Dispatcher: DEBUG ** Starting Refresh - Thu May 20 12:08:56 2010 **
DEBUG:Gwibber Dispatcher:** Starting Refresh - Thu May 20 12:08:56 2010 **
Gwibber Dispatcher: DEBUG <facebook:receive> Performing operation
DEBUG:Gwibber Dispatcher:<facebook:receive> Performing operation
Gwibber Dispatcher: DEBUG <facebook:responses> Performing operation
DEBUG:Gwibber Dispatcher:<facebook:responses> Performing operation
Gwibber Dispatcher: DEBUG <facebook:responses> Finished operation
DEBUG:Gwibber Dispatcher:<facebook:responses> Finished operation
Gwibber Dispatcher: DEBUG <facebook:images> Performing operation
DEBUG:Gwibber Dispatcher:<facebook:images> Performing operation
Gwibber Dispatcher: DEBUG <facebook:receive> Finished operation
DEBUG:Gwibber Dispatcher:<facebook:receive> Finished operation
Gwibber Dispatcher: ERROR <facebook:images> Operation failed
ERROR:Gwibber Dispatcher:<facebook:images> Operation failed
Gwibber Dispatcher: DEBUG Traceback:
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/dispatcher.py", line 75, in perform_operation
    message_data = PROTOCOLS[account["protocol"]].Client(account)(opname, **args)
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/facebook.py", line 198, in __call__
    return getattr(self, opname)(**args)
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/facebook.py", line 233, in images
    return [self._image(post, profiles) for post in data]
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/facebook.py", line 165, in _image
    user = profiles[data["owner"]]
KeyError: u'100000777736985'

Jure Merhar (spam-aurora) wrote :

I haven't seen one facebook notification since installing Lucid (fresh install).

Here is my output:

Gwibber Dispatcher: DEBUG Refresh interval is set to 5
Gwibber Dispatcher: DEBUG ** Starting Refresh - Thu May 20 12:45:45 2010 **
Gwibber Dispatcher: DEBUG <facebook:receive> Performing operation
Gwibber Dispatcher: DEBUG <facebook:images> Performing operation
Gwibber Dispatcher: DEBUG <facebook:receive> Adding record
Gwibber Dispatcher: DEBUG Checking message 655122783_128121467201418 timestamp (2010-05-20 12:43:45.00) to see if it is newer than 2010-05-20 12:35:52.01
Gwibber Dispatcher: DEBUG Message 655122783_128121467201418 newer than 2010-05-20 12:35:52.01, notifying
Gwibber Dispatcher: ERROR Message updated: 655122783_128121467201418-facebook-juremerhar-receive, failed
Gwibber Dispatcher: DEBUG <facebook:receive> Finished operation
Gwibber Dispatcher: DEBUG <facebook:responses> Performing operation
Gwibber Dispatcher: DEBUG <facebook:images> Finished operation
Gwibber Dispatcher: DEBUG <facebook:responses> Finished operation
Gwibber Dispatcher: INFO Loading complete: 4 - ['Success', 'Success', 'Success', 'Success', 'Success', 'Success', 'Success', 'Success', 'Success', 'Success']

Omer Akram (om26er) wrote :

any one facing the issue please see https://bugs.launchpad.net/ubuntu/+source/gwibber/+bug/572011/comments/9 download the facebook.py file and replace it with the original one and check if it may solve the problem for a few.

Michael Knap (michael-knap) wrote :

Omer Akram's edited facebook.py above did not work for me.

PinGUY (antoni-norman) wrote :

Omer Akram's edited facebook.py didn't work for me either it actually made it worst as it made the gwibber client stop getting updates from facebook.

This works maybe some of the scrips can be used for gwibber?
http://nzjrs.github.com/facebook-notify/

that was not my edited file. just took it from the other bug report.

On Mon, May 31, 2010 at 9:25 PM, PinGUY <email address hidden> wrote:

> Omer Akram's edited facebook.py didn't work for me either it actually
> made it worst as it made the gwibber client stop getting updates from
> facebook.
>
> This works maybe some of the scrips can be used for gwibber?
> http://nzjrs.github.com/facebook-notify/
>
> --
> Gwibber not retrieving Facebook info
> https://bugs.launchpad.net/bugs/549755
> You received this bug notification because you are subscribed to gwibber
> in ubuntu.
>
> Status in Gwibber: New
> Status in “gwibber” package in Ubuntu: New
>
> Bug description:
> gwibber-service appears to be having an issue retrieving information from
> my facebook account. It works fine with the Gwibber client, but when the
> Gwibber client is closed, I get a "Gwibber Dispatcher: ERROR Failed to
> parse the response, error was: No JSON object could be decoded". This also
> might be the reason why my facebook account is not displaying any
> notifications bubbles in Lucid Lynx. My twitter account works perfectly in
> all respects.
>
>
>

zd (andz) wrote :

I think there are different bugs mixed up in this thread ... nevertheless:

I was able to solve the following bug:
( Pierre Tocquin's error message is pretty much the same I think )

- I masked the UserID in the last line for privacy reasons -

-----------------------------------------------------------------------------------------------------------

Gwibber Dispatcher: ERROR <facebook:images> Operation failed
Gwibber Dispatcher: DEBUG Traceback:
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/dispatcher.py", line 75, in perform_operation
    message_data = PROTOCOLS[account["protocol"]].Client(account)(opname, **args)
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/facebook.py", line 198, in __call__
    return getattr(self, opname)(**args)
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/facebook.py", line 233, in images
    return [self._image(post, profiles) for post in data]
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/facebook.py", line 165, in _image
    user = profiles[data["owner"]]
KeyError: u'100000497******'

-----------------------------------------------------------------------------------------------------------

Changing line 165 in /usr/lib/python2.6/dist-packages/gwibber/microblog/facebook.py from:

user = profiles[data["owner"]]
to
user = profiles[int(data["owner"])]

solved the problem.

The problem seems to be that the type of data["owner"] of this user is <type 'unicode'>
(the reason seems to be that his user name contains unicode letters)
- all other user's data["owner"] type is <type 'int'>

by manually converting it to an integer the problem seems to be fixed.
(Although the real bug seems to be somewhere else, as i think data["owner"] simply shouldn't have been unicode)

zd (andz) wrote :

After fixing this bug - My debug output resembles the one from Jure Merhar
(MessageID removed)

Relevant part:

Gwibber Dispatcher: DEBUG Checking message 10000062*******_1266*************** timestamp (2010-05-31 19:40:01.00) to see if it is newer than 2010-05-31 19:30:09.02
Gwibber Dispatcher: DEBUG Message 10000062*******_1266*************** newer than 2010-05-31 19:30:09.02, notifying
Gwibber Dispatcher: ERROR Message updated: 10000062*******_***************-facebook-******-receive, failed
Gwibber Dispatcher: DEBUG <facebook:receive> Finished operation

... no notification is displayed

(twitter notifications work perfectly)

zd (andz) wrote :

Ha! Finally :)
I've fixed the "facebook-doesn't-show-notifications-but-twitter-does-bug" - at least at my pc ;)
Relevant debug message is in my post #33

There seems to go something wrong with couchdb
Relevant debug infos are displayed by changing the exception in the on_message_updated() method:

------------------------------------------

  def on_message_updated(self, monitor, id):
    #try:
      log.logger.debug("Message updated: %s", id)
      message = self.messages.get_record(id)
      self.new_message(message)
    #except:
      #log.logger.error("Message updated: %s, failed", id)

------------------------------------------

The Error Message is:

------------------------------------------

Gwibber Dispatcher: DEBUG Checking message 10000062*****_13141****** timestamp (2010-05-31 21:01:33.00) to see if it is newer than 2010-05-31 20:51:39.33
Gwibber Dispatcher: DEBUG Message 10000062*****_13141****** newer than 2010-05-31 20:51:39.33, notifying
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/dispatcher.py", line 263, in on_message_updated
    self.new_message(message)
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/dispatcher.py", line 310, in new_message
    if indicate and message["to_me"]:
  File "/usr/lib/python2.6/dist-packages/desktopcouch/records/record.py", line 389, in __getitem__
    return super(Record, self).__getitem__(key)
  File "/usr/lib/python2.6/dist-packages/desktopcouch/records/record.py", line 130, in __getitem__
    value = self._data[key]
KeyError: 'to_me'
Gwibber Dispatcher: DEBUG <facebook:receive> Finished operation

------------------------------------------

Solution / Hack to show the notification before couchdb throws the exception:

change the "def new_message(self, message)" method in /usr/lib/python2.6/dist-packages/gwibber/microblog/dispatcher.py
( I've simply switched the order of "if message["id"] not in self.notified_items:" and "if indicate and message["to_me"]:" )

------------------------------------------

  def new_message(self, message):
    min_time = mx.DateTime.DateTimeFromTicks() - mx.DateTime.TimeDelta(minutes=10.0)
    log.logger.debug("Checking message %s timestamp (%s) to see if it is newer than %s", message["id"], mx.DateTime.DateTimeFromTicks(message["time"]).localtime(), min_time)
    if mx.DateTime.DateTimeFromTicks(message["time"]).localtime() > mx.DateTime.DateTimeFromTicks(min_time):
      log.logger.debug("Message %s newer than %s, notifying", message["id"], min_time)
      if message["id"] not in self.notified_items:
        self.notified_items.append(message["id"])
        self.show_notification_bubble(message)
      if indicate and message["to_me"]:
        if message["id"] not in self.indicator_items:
          log.logger.debug("Message %s is a reply, adding messaging indicator", message["id"])
          self.handle_indicator_item(message)
------------------------------------------

I've attached both changed files, facebook.py and dispatcher.py
Put both files into /usr/lib/python2.6/dist-packages/gwibber/microblog/ , restart gwibber-service and it should work :)

Pierre Tocquin (ptocquin) wrote :

This last post #34 resolves the problem for me.
Thank you so much !

PinGUY (antoni-norman) wrote :

Thanks zd, that's got it working.

Don't know if it was just coincidence but it only seemed to work once I sent a message to my facebook using the gwibber client.
On a side note, don't you get thumb images with facebook?

Jure Merhar (spam-aurora) wrote :

zd's fix (#34) worked for me as well. Thx!

PinGUY (antoni-norman) wrote :

I used to get thumb images for twitter in the notifications but I don't any more?? Is this the downside of using this fix?

I have a clean Ubuntu installation with all updates up to date. When i try to "add" the new Facebook account i can reach Facebook logon page but it will not add the new one. I don't have any other account on the others social sites.

Jacob Henderson (lmeditato) wrote :

Ricardo,

That's a different issue from the one we're talking about. You might get more help if you opened a new bug for it since i'm sure the developers will want to know about those kinds of problems. At any rate, you might try adding the Gwibber application from within Facebook- just search "Gwibber" and find the application search result, and give it full profile permissions.

Jacopo Lorenzetti (jacopol) wrote :
Download full text (3.3 KiB)

I'm always getting the same three Operation failed errors every time gwibber-service tries refreshing data from facebook. I'm not getting notifications but Gwibber client is working fine. It's a Lucid Lynx fresh install, fully updated.

jacopo@haydn:~$ gwibber-service --debug -o
Updating...
Gwibber Dispatcher: DEBUG Setting up monitors
Gwibber Dispatcher: DEBUG Monitors are up
Gwibber Dispatcher: INFO Gwibber Service is reloading account credentials
Gwibber Dispatcher: DEBUG Refresh interval is set to 5
Gwibber Dispatcher: DEBUG ** Starting Refresh - Tue Jun 29 02:24:40 2010 **
Gwibber Dispatcher: DEBUG <facebook:receive> Performing operation
Gwibber Dispatcher: ERROR <facebook:receive> Operation failed
Gwibber Dispatcher: DEBUG Traceback:
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/dispatcher.py", line 75, in perform_operation
    message_data = PROTOCOLS[account["protocol"]].Client(account)(opname, **args)
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/facebook.py", line 198, in __call__
    return getattr(self, opname)(**args)
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/facebook.py", line 210, in receive
    profiles = dict((p["id"], p) for p in data["profiles"])
KeyError: 'profiles'

Gwibber Dispatcher: DEBUG <facebook:responses> Performing operation
Gwibber Dispatcher: ERROR <facebook:responses> Operation failed
Gwibber Dispatcher: DEBUG Traceback:
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/dispatcher.py", line 75, in perform_operation
    message_data = PROTOCOLS[account["protocol"]].Client(account)(opname, **args)
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/facebook.py", line 198, in __call__
    return getattr(self, opname)(**args)
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/facebook.py", line 220, in responses
    profiles = self._friends()
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/facebook.py", line 195, in _friends
    return dict((p["uid"], p) for p in friends)
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/facebook.py", line 195, in <genexpr>
    return dict((p["uid"], p) for p in friends)
TypeError: string indices must be integers

Gwibber Dispatcher: DEBUG <facebook:images> Performing operation
Gwibber Dispatcher: ERROR <facebook:images> Operation failed
Gwibber Dispatcher: DEBUG Traceback:
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/dispatcher.py", line 75, in perform_operation
    message_data = PROTOCOLS[account["protocol"]].Client(account)(opname, **args)
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/facebook.py", line 198, in __call__
    return getattr(self, opname)(**args)
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/facebook.py", line 232, in images
    profiles = self._friends()
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/facebook.py", line 195, in _friends
    return dict((p["uid"], p) for p in friends)
  File "/usr/lib/python2.6/dist-packages/gwibber/microblog/facebook.py", line 195, in <genexpr>
    ...

Read more...

Omer Akram (om26er) wrote :

please install enable lucid-proposed repositories in software sources and install the latest version 2.30.1 of gwibber. it solves many facebook problem.

Changed in gwibber:
status: New → Incomplete
Changed in gwibber (Ubuntu):
status: New → Incomplete
Jacopo Lorenzetti (jacopol) wrote :

thank you Omer Akram, I updated gwibber and gwibber-service from lucid-proposed and now something is different, but now I'm getting three 'Facebook error 4 - Application request limit reached' and still cannot receive any facebook notification from gwibber-service.

jacopo@haydn:~$ gwibber-service --debug -o
Updating...
Gwibber Dispatcher: DEBUG Setting up monitors
Gwibber Dispatcher: DEBUG Monitors are up
Gwibber Dispatcher: INFO Gwibber Service is reloading account credentials
Gwibber Dispatcher: DEBUG Refresh interval is set to 5
Gwibber Dispatcher: DEBUG ** Starting Refresh - Sat Jul 10 02:30:39 2010 **
Gwibber Dispatcher: DEBUG <facebook:receive> Performing operation
Gwibber Dispatcher: DEBUG <STATS> facebook:receive account:facebook-jacopo********** since:2010-07-10 02:06:11.00 size:614
Gwibber Dispatcher: INFO Facebook error 4 - Application request limit reached
Gwibber Dispatcher: DEBUG <facebook:receive> Finished operation
Gwibber Dispatcher: DEBUG <facebook:responses> Performing operation
Gwibber Dispatcher: DEBUG <STATS> facebook:responses account:facebook-jacopo********** since:2010-03-12 00:14:53.00 size:778
Gwibber Dispatcher: INFO Facebook error 4 - Application request limit reached
Gwibber Dispatcher: DEBUG <facebook:responses> Finished operation
Gwibber Dispatcher: DEBUG <facebook:images> Performing operation
Gwibber Dispatcher: DEBUG <STATS> facebook:images account:facebook-jacopo********** since:2010-07-09 11:36:24.00 size:808
Gwibber Dispatcher: INFO Facebook error 4 - Application request limit reached
Gwibber Dispatcher: DEBUG <facebook:images> Finished operation
Gwibber Dispatcher: INFO Loading complete: 1 - ['Success', 'Success', 'Success']

Omer Akram (om26er) wrote :

jacopoL, that is facebook throttling. the situation will improve once more and more people upgrade to gwibber 2.30.1

Changed in gwibber:
status: Incomplete → Fix Released
Omer Akram (om26er) wrote :

this bug is fixed in gwibber 2.31.2 and 2.30.1. you can install gwibber 2.30.1 by enable lucid-proposed repository from software sources.

Changed in gwibber (Ubuntu):
status: Incomplete → Fix Committed
Omer Akram (om26er) wrote :

gwibber 2.30.1 is now in Lucid updates.

Changed in gwibber (Ubuntu):
status: Fix Committed → Fix Released
Patrick Glenn (p0l4r21) wrote :

Post #34 works thanks zd!

luca (l-savio) wrote :

sorry , but since sunday facebook timeline does not update.. 3 pc with fresh installation of Lucid, backports and proposed enabled.. Twitter, identi.ca and status .net work fine

Jacob Henderson (lmeditato) wrote :

Still not getting gnome notifications for Facebook, even when it does load correctly. About the time that twitter is (correctly) sending gnome notifications to my desktop, I get

"Gwibber Dispatcher: INFO Facebook error 1 - An unknown error occurred"

from "gwibber-service -o -debug" on the commandline.

Jacob Henderson (lmeditato) wrote :

Appendum to comment #49- using 2.31.6 on default Lucid install

needlez6 (needlez6) wrote :

running gwibber 2.91... yes its not stable but still no facebook stream at all... with gwibber 2.32 which is for ubuntu maverick 10.10, i can't even add a facebook account accept at random time intervals... so this is a major issue, i think gwibber should be done away with or drastically changed...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers